## org.apache.lucene.codecs.lucene40
Class Lucene40PostingsBaseFormat

    java.lang.Object
      org.apache.lucene.codecs.PostingsBaseFormat
          org.apache.lucene.codecs.lucene40.Lucene40PostingsBaseFormat

Deprecated. Only for reading old 4.0 segments

    @Deprecated
    public final class Lucene40PostingsBaseFormat

extends PostingsBaseFormat

Provides a `PostingsReaderBase` and `PostingsWriterBase`.

Field Summary

Fields inherited from class org.apache.lucene.codecs.PostingsBaseFormat
`name`

Constructor Summary
`Lucene40PostingsBaseFormat()` Deprecated. Sole constructor.

Method Summary
`PostingsReaderBase` `postingsReaderBase(SegmentReadState state)` Deprecated. Creates the `PostingsReaderBase` for this format.
`PostingsWriterBase` `postingsWriterBase(SegmentWriteState state)` Deprecated. Creates the `PostingsWriterBase` for this format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lucene40PostingsBaseFormat

    public Lucene40PostingsBaseFormat()

  Deprecated.
  Sole constructor.

Method Detail

### postingsReaderBase

    public PostingsReaderBase postingsReaderBase(SegmentReadState state)
                                          throws IOException

  Deprecated.
  Description copied from class: `PostingsBaseFormat`
  Creates the `PostingsReaderBase` for this format.

  Specified by:
    `postingsReaderBase` in class `PostingsBaseFormat`
  Throws:
    `IOException`

### postingsWriterBase

    public PostingsWriterBase postingsWriterBase(SegmentWriteState state)
                                          throws IOException

  Deprecated.
  Description copied from class: `PostingsBaseFormat`
  Creates the `PostingsWriterBase` for this format.

  Specified by:
    `postingsWriterBase` in class `PostingsBaseFormat`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.